

Fix warnings and build errors under EXT2_DEBUG.


 fs/ext2/balloc.c |    6 ++++--
 fs/ext2/ialloc.c |    5 ++---
 2 files changed, 6 insertions(+), 5 deletions(-)

diff -puN fs/ext2/balloc.c~ext2-debug-build-fix fs/ext2/balloc.c
--- 25/fs/ext2/balloc.c~ext2-debug-build-fix	2004-01-03 12:01:46.000000000 -0800
+++ 25-akpm/fs/ext2/balloc.c	2004-01-03 12:03:59.000000000 -0800
@@ -527,7 +527,8 @@ unsigned long ext2_count_free_blocks (st
 	int i;
 #ifdef EXT2FS_DEBUG
 	unsigned long bitmap_count, x;
-	
+	struct ext2_super_block *es;
+
 	lock_super (sb);
 	es = EXT2_SB(sb)->s_es;
 	desc_count = 0;
@@ -550,7 +551,8 @@ unsigned long ext2_count_free_blocks (st
 		brelse(bitmap_bh);
 	}
 	printk("ext2_count_free_blocks: stored = %lu, computed = %lu, %lu\n",
-	       le32_to_cpu(es->s_free_blocks_count), desc_count, bitmap_count);
+		(long)le32_to_cpu(es->s_free_blocks_count),
+		desc_count, bitmap_count);
 	unlock_super (sb);
 	return bitmap_count;
 #else
diff -puN fs/ext2/ialloc.c~ext2-debug-build-fix fs/ext2/ialloc.c
--- 25/fs/ext2/ialloc.c~ext2-debug-build-fix	2004-01-03 12:04:15.000000000 -0800
+++ 25-akpm/fs/ext2/ialloc.c	2004-01-03 12:05:07.000000000 -0800
@@ -638,10 +638,9 @@ unsigned long ext2_count_free_inodes (st
 	int i;	
 
 #ifdef EXT2FS_DEBUG
-	struct ext2_super_block * es;
+	struct ext2_super_block *es;
 	unsigned long bitmap_count = 0;
 	struct buffer_head *bitmap_bh = NULL;
-	int i;
 
 	lock_super (sb);
 	es = EXT2_SB(sb)->s_es;
@@ -658,7 +657,7 @@ unsigned long ext2_count_free_inodes (st
 			continue;
 
 		x = ext2_count_free(bitmap_bh, EXT2_INODES_PER_GROUP(sb) / 8);
-		printk ("group %d: stored = %d, counted = %lu\n",
+		printk("group %d: stored = %d, counted = %u\n",
 			i, le16_to_cpu(desc->bg_free_inodes_count), x);
 		bitmap_count += x;
 	}

_
